/* ---------- HERO SECTION ---------- */
.hero {
    background-image: url(../../images/IMG-20260422-WA0049.jpg);
    background-position: center;
    background-size: cover;
    color: var(--text-light);
    height: 60vh;
    padding: 0px;
}

.hero-content {
    width: 100%;
    height: 100%;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-align: left;
    background-color: hsl(150 30% 12%/ .4);
    padding-left: 20px;
}

.hero-content h1 {
    font-size: 3rem;
    line-height: 1;
    color: var(--bg-white);
    margin-bottom: 20px;
    width: 50%;
}

.hero-content h1 span {
    color: var(--leaf-green);
}

.hero-content p {
    font-size: 1.1rem;
    margin-bottom: 25px;
    width: 50%;
}

.hero-image img {
    width: 100%;
    border-radius: 6px;
}

.hero-content a {
    color: var(--text-light);
}

.hero-action-btns {
    display: flex;
    align-items: center;
}

.hero-action-btns a {
    display: flex;
    align-items: center;
    width: auto;
    border-radius: 40px;
    padding: 15px;
    font-size: 15px;
    text-transform: capitalize;
    cursor: pointer;
}

.hero-action-btns a:first-child {
    background-color: var(--leaf-green);
    color: var(--dark-forest-green);
    margin-right: 10px;
}

.hero-action-btns a:last-child {
    background-color: transparent;
    color: var(--text-light);
    border: 1px solid var(--text-light);
}

.hero-action-btns a:last-child:hover {
    background-color: var(--text-light-muted);
}

/* ---------- ABOUT SNAPSHOT ---------- */
.about-snapshot {
    background: var(--bg-white);
    padding: 70px 20px;
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.section-header {
    width: 50%;
    display: flex;
    flex-direction: column;
    align-items: center;
    margin-bottom: 40px;
}

.section-title {
    color: var(--dark-forest-green);
    font-size: 2rem;
    text-transform: capitalize;
}

.section-header hr {
    width: 100px;
    height: 5px;
    border-radius: 10px;
    background-color: var(--leaf-green);
    margin-top: 0px;
    border: 1px solid var(--leaf-green);
    margin-top: 0px !important;
    
}

.why-us-reasons-box {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 30px;
    width: 100%;
}

.reason-item {
    background-color: var(--light-mint);
    padding: 20px;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
    border-radius: 10px;
    cursor: pointer;
    transition: transform 0.3s ease, box-shadow 0.3s ease;
}

.reason-item:hover {
    transform: translateY(-6px);
    box-shadow: var(--border-soft-green);
}

.reason-item svg {
    background-color: var(--bg-white);
    color: var(--dark-forest-green);
    height: 60px;
    width: 60px;
    padding: 10px;
    border-radius: 5px;
    margin-bottom: 15px;
}

.reason-item:hover svg {
    background-color: var(--dark-forest-green);
    color: var(--bg-white);
}

.item-title {
    color: var(--dark-forest-green);
    text-transform: capitalize;
    font-weight: 600;
    margin-bottom: 15px;
    font-size: 1rem;
}

.about-snapshot p {
    max-width: 800px;
    margin: 0 auto 20px;
    color: var(--primary-harvest-green);
    font-size: .954rem;
}

/* ---------- PRODUCE HIGHLIGHTS ---------- */
.produce-highlights {
    background: var(--border-light);
    text-align: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.produce-grid {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(300px, 1fr));
    gap: 25px;
    margin-bottom: 30px;
    width: 100%;
}

.produce-card {
    background: var(--bg-light);
    border-radius: 6px;
    overflow: hidden;
}

.produce-card img {
    width: 100%;
    height: fit-content;
    object-fit: cover;
}

.produce-highlights a {
    background-color: var(--primary-harvest-green);
    color: var(--bg-white);
    border-radius: 40px;
}

/* ---------- FARM UPDATES PREVIEW ---------- */
.farm-updates-preview {
    background: var(--bg-white);
    padding: 0px;
}

.updates-feed {
    background-image: url('../../images/IMG-20260422-WA0047.jpg');
    background-repeat: no-repeat;
    background-size: cover;
    background-position: center;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 70px 20px;
    background-color: hsl(150 30% 12%/ .4);
}

.updates-feed h4 {
    font-size: 2rem;
    line-height: 1;
    color: var(--text-light);
    text-transform: capitalize;
    margin-bottom: 20px;
    text-align: center;
    font-weight: 600;
}

.updates-feed p {
    color: var(--text-light);
    font-size: 1.10rem;
    line-height: 1.75rem;
    width: 50%;
    text-align: center;
}

.updates-feed a {
    display: flex;
    align-items: center;
    background-color: var(--primary-harvest-green);
    color: var(--bg-white);
    text-transform: capitalize;
    padding-top: 1rem;
    padding-bottom: 1rem;
    font-size: 1rem;
    line-height: 1.25rem;
    padding-left: 1rem;
    padding-right: 1rem;
    border-radius: 40px;
    font-weight: 600;
}